# Invoke-RASTenantBroker.md

## NAME

Invoke-RASTenantBroker

## SYNOPSIS

Joins/Unjoins a Tenant Broker.

## SYNTAX

\*\*Invoke-RASTenantBroker -[HashKey](#hashkey-string) *(string)* -[Join](#join-string) *(SwitchParameter)* \[[PublicDomainAddresses](#publicdomainaddresses-string) *(string)*] \[[SiteId](#siteid-string) *(uint)*] \[[TenantBroker](#tenantbroker-string) *(string)*] \[[TenantName](#tenantname-string) *(string)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

**Invoke-RASTenantBroker** -[Unjoin](#unjoin-string) *(SwitchParameter)* \[[SiteId](#siteid-string) *(uint)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

## DESCRIPTION

Joins/Unjoins a Tenant Broker.

## PARAMETERS

## SiteId (uint)

Site ID from which to retrieve the Tenant Broker settings (optional).

```
        Required?                    false

        Position?                    named

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Join (SwitchParameter)

Join Tenant Broker SwitchParameter.

```
        Required?                    true

        Position?                    named

        Default value                False

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## HashKey (string)

This can be the Tenant Broker secret key located at Farm | Settings | Tenant Broker, or the Tenant invitation hash created at Farm | Tenants | Add.

```
        Required?                    true

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## TenantBroker (string)

The IP or DNS address of the Tenant Broker to join.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## TenantName (string)

The Tenant name. Applicable only if Farms are allowed to register using a secret key.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## PublicDomainAddresses (string)

The accessible name. Applicable only if Farms are allowed to register using a secret key.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Unjoin (SwitchParameter)

Unjoin Tenant Broker SwitchParameter.

```
        Required?                    true

        Position?                    named

        Default value                False

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

(CommonParameters)

```
        This cmdlet supports the common parameters: Verbose, Debug,

        ErrorAction, ErrorVariable, WarningAction, WarningVariable,

        OutBuffer, PipelineVariable, and OutVariable. For more information, see 

        about_CommonParameters documentation. 
```

## INPUTS

-none-

## OUTPUTS

-none-

## EXAMPLES

\*\*---------- EXAMPLE 1 ----------

Invoke-RASTenantBroker -Join -HashKey "9A76312E-2EB7-4386-8AAF-180BC1015055" -TenantBroker "TB1"

Joins the Tenant Broker TB1 with the provided hash key.\
\*\*---------- EXAMPLE 2 ----------

Invoke-RASTenantBroker -Join -HashKey "9A76312E-2EB7-4386-8AAF-180BC1541055" -TenantBroker "TB1" -TenantName "tb01"

Joins the Tenant Broker TB1 (tb01) with the provided hash key.\
\*\*---------- EXAMPLE 3 ----------

Invoke-RASTenantBroker -Unjoin

Unjoins the tenant broker.

## RELATED LINKS

* [Get-RASJoinedBrokerStatus](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rasjoinedbrokerstatus.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/invoke-rastenantbroker.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
